{
  "meta": {
    "restrictions": [
      {
        "resUri": "/capability/ovenSetpoint/oven/0",
        "property": "units",
        "type": 1,
        "value": "C,F,K"
      }
    ],
    "resDesc": [
      {
        "resUri": "/capability/ovenSetpoint/oven/0",
        "name": "WWST Temperature",
        "desc": "Setting temperature\n"
      },
      {
        "resUri": "/capability/ovenMode/main/0",
        "name": "WWST Oven mode",
        "desc": "Oven mode\n"
      },
      {
        "resUri": "/capability/ovenOperatingState/main/0",
        "name": "WWST Oven job state",
        "desc": "Oven job state\n"
      }
    ],
    "propDesc": [
      {
        "resUri": "/capability/ovenSetpoint/oven/0",
        "property": "temperature",
        "desc": "Current temperature setting or measurement"
      },
      {
        "resUri": "/capability/ovenSetpoint/oven/0",
        "property": "range",
        "desc": "Array defining min,max values for this temperature on this device"
      },
      {
        "resUri": "/capability/ovenSetpoint/oven/0",
        "property": "units",
        "desc": "Units for the temperature value"
      },
      {
        "resUri": "/capability/ovenMode/main/0",
        "property": "modes",
        "desc": "Desired mode"
      },
      {
        "resUri": "/capability/ovenMode/main/0",
        "property": "supportedModes",
        "desc": "Array of possible modes the device supports."
      },
      {
        "resUri": "/capability/ovenOperatingState/main/0",
        "property": "jobStates",
        "desc": "array of the possible job states."
      },
      {
        "resUri": "/capability/ovenOperatingState/main/0",
        "property": "machineStates",
        "desc": "array of the possible currentMachineState."
      },
      {
        "resUri": "/capability/ovenOperatingState/main/0",
        "property": "startingTime",
        "desc": "Start time in the current operational state"
      },
      {
        "resUri": "/capability/ovenOperatingState/main/0",
        "property": "currentJobState",
        "desc": "Currently active jobState"
      },
      {
        "resUri": "/capability/ovenOperatingState/main/0",
        "property": "currentMachineState",
        "desc": "Currently active currentMachineState"
      },
      {
        "resUri": "/capability/ovenOperatingState/main/0",
        "property": "endingTime",
        "desc": "End time in the current operational state"
      }
    ]
  },
  "device": [
    {
      "specification": {
        "device": {
          "deviceType": "x.wwst.d.oven",
          "deviceName": "[oven]",
          "specVersion": "core.1.1.0",
          "dataModelVersion": "res.1.1.0"
        },
        "platform": {
          "manufacturerName": "",
          "manufacturerUrl": "http://www.samsung.com",
          "manufacturingDate": "",
          "modelNumber": "NV9900J",
          "platformVersion": "",
          "osVersion": "",
          "hardwareVersion": "SWL-CQ52",
          "firmwareVersion": "Virtual Device_0824",
          "vendorId": ""
        }
      },
      "resources": {
        "single": [
          {
            "uri": "/capability/ovenSetpoint/oven/0",
            "types": [
              "x.com.st.temperature.oven"
            ],
            "interfaces": [
              "C",
              "F",
              "K",
              "oic.if.a",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/ovenMode/main/0",
            "types": [
              "x.com.st.mode.oven"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/ovenOperatingState/main/0",
            "types": [
              "x.com.st.operationalstate.oven"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          }
        ]
      }
    }
  ],
  "resourceTypes": [
    {
      "type": "x.com.st.temperature.oven",
      "properties": [
        {
          "key": "temperature",
          "type": 2,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "range",
          "type": 9,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "units",
          "type": 3,
          "mandatory": true,
          "rw": 3
        }
      ]
    },
    {
      "type": "x.com.st.mode.oven",
      "properties": [
        {
          "key": "modes",
          "type": 9,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "supportedModes",
          "type": 9,
          "mandatory": true,
          "rw": 1
        }
      ]
    },
    {
      "type": "x.com.st.operationalstate.oven",
      "properties": [
        {
          "key": "jobStates",
          "type": 9,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "machineStates",
          "type": 9,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "startingTime",
          "type": 1,
          "mandatory": false,
          "rw": 3
        },
        {
          "key": "currentJobState",
          "type": 3,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "currentMachineState",
          "type": 3,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "endingTime",
          "type": 1,
          "mandatory": false,
          "rw": 3
        }
      ]
    }
  ],
  "configuration": {
    "easySetup": {
      "connectivity": {
        "type": 1,
        "softAP": {
          "setupId": "001",
          "artik": false
        }
      },
      "ownershipTransferMethod": 2
    },
    "wifi": {
      "interfaces": 15,
      "frequency": 1
    },
    "filePath": {
      "svrdb": "artikserversecured.dat",
      "provisioning": "provisioning.dat",
      "certificate": "certificate.pem",
      "privateKey": "privatekey.der"
    }
  }
}
